Class: Aws::BedrockAgentCore::Types::InvokeAgentRuntimeResponse
- Inherits:
-
Struct
- Object
- Struct
- Aws::BedrockAgentCore::Types::InvokeAgentRuntimeResponse
- Defined in:
- gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb
Overview
Constant Summary collapse
- SENSITIVE =
[:response]
Instance Attribute Summary collapse
-
#baggage ⇒ String
Additional context information for distributed tracing.
-
#content_type ⇒ String
The MIME type of the response data.
-
#mcp_protocol_version ⇒ String
The version of the MCP protocol being used.
-
#mcp_session_id ⇒ String
The identifier of the MCP session.
-
#response ⇒ IO
The response data from the agent runtime.
-
#runtime_session_id ⇒ String
The identifier of the runtime session.
-
#status_code ⇒ Integer
The HTTP status code of the response.
-
#trace_id ⇒ String
The trace identifier for request tracking.
-
#trace_parent ⇒ String
The parent trace information for distributed tracing.
-
#trace_state ⇒ String
The trace state information for distributed tracing.
Instance Attribute Details
#baggage ⇒ String
Additional context information for distributed tracing.
2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 |
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2541 class InvokeAgentRuntimeResponse < Struct.new( :runtime_session_id, :mcp_session_id, :mcp_protocol_version, :trace_id, :trace_parent, :trace_state, :baggage, :content_type, :response, :status_code) SENSITIVE = [:response] include Aws::Structure end |
#content_type ⇒ String
The MIME type of the response data. This indicates how to interpret the response data. Common values include application/json for JSON data.
2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 |
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2541 class InvokeAgentRuntimeResponse < Struct.new( :runtime_session_id, :mcp_session_id, :mcp_protocol_version, :trace_id, :trace_parent, :trace_state, :baggage, :content_type, :response, :status_code) SENSITIVE = [:response] include Aws::Structure end |
#mcp_protocol_version ⇒ String
The version of the MCP protocol being used.
2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 |
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2541 class InvokeAgentRuntimeResponse < Struct.new( :runtime_session_id, :mcp_session_id, :mcp_protocol_version, :trace_id, :trace_parent, :trace_state, :baggage, :content_type, :response, :status_code) SENSITIVE = [:response] include Aws::Structure end |
#mcp_session_id ⇒ String
The identifier of the MCP session.
2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 |
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2541 class InvokeAgentRuntimeResponse < Struct.new( :runtime_session_id, :mcp_session_id, :mcp_protocol_version, :trace_id, :trace_parent, :trace_state, :baggage, :content_type, :response, :status_code) SENSITIVE = [:response] include Aws::Structure end |
#response ⇒ IO
The response data from the agent runtime. The format of this data depends on the specific agent configuration and the requested accept type. For most agents, this is a JSON object containing the agent's response to the user's request.
2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 |
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2541 class InvokeAgentRuntimeResponse < Struct.new( :runtime_session_id, :mcp_session_id, :mcp_protocol_version, :trace_id, :trace_parent, :trace_state, :baggage, :content_type, :response, :status_code) SENSITIVE = [:response] include Aws::Structure end |
#runtime_session_id ⇒ String
The identifier of the runtime session.
2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 |
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2541 class InvokeAgentRuntimeResponse < Struct.new( :runtime_session_id, :mcp_session_id, :mcp_protocol_version, :trace_id, :trace_parent, :trace_state, :baggage, :content_type, :response, :status_code) SENSITIVE = [:response] include Aws::Structure end |
#status_code ⇒ Integer
The HTTP status code of the response. A status code of 200 indicates a successful operation. Other status codes indicate various error conditions.
2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 |
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2541 class InvokeAgentRuntimeResponse < Struct.new( :runtime_session_id, :mcp_session_id, :mcp_protocol_version, :trace_id, :trace_parent, :trace_state, :baggage, :content_type, :response, :status_code) SENSITIVE = [:response] include Aws::Structure end |
#trace_id ⇒ String
The trace identifier for request tracking.
2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 |
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2541 class InvokeAgentRuntimeResponse < Struct.new( :runtime_session_id, :mcp_session_id, :mcp_protocol_version, :trace_id, :trace_parent, :trace_state, :baggage, :content_type, :response, :status_code) SENSITIVE = [:response] include Aws::Structure end |
#trace_parent ⇒ String
The parent trace information for distributed tracing.
2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 |
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2541 class InvokeAgentRuntimeResponse < Struct.new( :runtime_session_id, :mcp_session_id, :mcp_protocol_version, :trace_id, :trace_parent, :trace_state, :baggage, :content_type, :response, :status_code) SENSITIVE = [:response] include Aws::Structure end |
#trace_state ⇒ String
The trace state information for distributed tracing.
2541 2542 2543 2544 2545 2546 2547 2548 2549 2550 2551 2552 2553 2554 |
# File 'gems/aws-sdk-bedrockagentcore/lib/aws-sdk-bedrockagentcore/types.rb', line 2541 class InvokeAgentRuntimeResponse < Struct.new( :runtime_session_id, :mcp_session_id, :mcp_protocol_version, :trace_id, :trace_parent, :trace_state, :baggage, :content_type, :response, :status_code) SENSITIVE = [:response] include Aws::Structure end |